Bug 115728 - system-settings:/// no system-config-* are listed
Summary: system-settings:/// no system-config-* are listed
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-menus   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Nickell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-02-15 14:05 UTC by shrek-m
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-02 08:23:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description shrek-m 2004-02-15 14:05:04 UTC
Description of problem:
system-settings:///
here is nothing listed
0 objects

# rpm -qa system*
system-config-mouse-1.2.3-1
system-config-samba-1.2.2-1
system-config-kickstart-2.5.4-1
system-logviewer-0.9.5-1
system-config-display-1.0.5-1
system-config-services-0.8.6-3
system-config-network-tui-1.3.15-1
system-config-bind-2.0.2-3
system-config-keyboard-1.2.1-1
system-config-language-1.1.5-1
system-config-rootpassword-1.1.3-1
system-config-network-1.3.15-1
system-config-proc-0.25-1
system-config-securitylevel-tui-1.3.2-1
system-config-date-1.7.1-2
system-config-nfs-1.2.2-2
system-config-securitylevel-1.3.2-1
system-config-users-1.2.9-1
system-config-httpd-1.2.0-1
system-config-soundcard-1.2.2-1
system-config-packages-1.9.3-2
system-config-printer-0.6.93-1
system-config-printer-gui-0.6.93-1

Version-Release number of selected component (if applicable):
nautilus-2.5.7-1

How reproducible:
Always

Steps to Reproduce:
1. system-settings:///
    

Actual Results:  here is nothing listed
0 objects


Expected Results:  the system-config-tools should be listed

Comment 1 Sean Earp 2004-03-02 02:24:23 UTC
This is a me-too comment.  Problem is exactly as described.

Comment 2 Alexander Larsson 2004-03-02 11:35:44 UTC
Thats because none of them place any desktop files in /etc/X11/sysconfig.

Comment 3 shrek-m 2004-03-02 12:34:02 UTC
in fc1  /etc/X11/sysconfig/  is empty too
but here it is ok


# cat /etc/fedora-release
Fedora Core release 1.90 (FC2 Test 1)

# rpm -qf /etc/X11/starthere/*
redhat-menus-0.40-2
redhat-menus-0.40-2
redhat-menus-0.40-2

# rpm -qf /etc/X11/sysconfig/*
Fehler: file /etc/X11/sysconfig/*: Datei oder Verzeichnis nicht gefunden

# rpm -qf /etc/X11/sysconfig/
filesystem-2.2.3-2

# rpm -qf /etc/X11/desktop-menus/
redhat-menus-0.40-2

# rpm -qf /etc/X11/desktop-menus/system-settings.menu
redhat-menus-0.40-2

could it be that the system-settings.menu is the problem  ?
redhat-*.desktop  instead  system-*.desktop

Comment 4 Bill Nottingham 2004-03-02 16:46:55 UTC
Alex: did this change in gnome-2.6?

Comment 5 Alexander Larsson 2004-03-03 12:34:15 UTC
No.

Comment 6 Alexander Larsson 2004-03-03 12:35:10 UTC
Not that i know of at least, but i'm not that good on the vfolder thing.

Comment 7 Alexander Larsson 2004-03-03 12:38:07 UTC
Out vfolder setup is not the same as gnome upstream though. It seems
like shrek is right in that this is a redhat-menus issue caused by the
renaming of the redhat-config-* desktop files.

Comment 8 Alexander Larsson 2004-03-03 12:55:25 UTC
I fixed this in the cvs HEAD version of redhat-menus, but this version
seems to be based on the new vfolder spec, and we don't use that in
fc2 yet. I dunno what the plans for this area is, but we're surely
fucked up  right now.

Comment 9 Sean Earp 2004-03-31 06:47:06 UTC
This seems to work now in FC2 Test 2.  Can anyone else verify so that we can close this 
bug?

Comment 10 shrek-m 2004-04-02 08:23:58 UTC
seems to be ok in fc2t2

the system-config -tools are working like expected with the
kernel bootparameter    selinux=0


Note You need to log in before you can comment on or make changes to this bug.